// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: WIN32 PS2 UNIX OSX PSP-INFRA PS3
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

// PURPOSE: DTLS init packet.


#ifndef BD_DTLS_INIT_H
#define BD_DTLS_INIT_H

#include <bdCore/bdCore.h>
#include <bdSocket/bdDTLS/bdPacket/bdDTLSHeader.h>

class bdDTLSInit : public bdDTLSHeader
{
	public:

		BD_DECLARE_NEW_AND_DELETE_OPERATORS

		bdDTLSInit();

		bdDTLSInit(bdUInt16 initTag);

		virtual ~bdDTLSInit();

		virtual bdBool serialize(void *data,const bdUInt size,
			const bdUInt offset, bdUInt &newOffset) const;
		virtual bdBool deserialize(const void* data, const bdUInt size,
			const bdUInt offset, bdUInt &newOffset);

		bdUInt16 getInitTag() const;

	protected:

		bdUInt16 m_initTag;
		/// \todo Should have signature and addr
};

#endif // BD_DTLS_INIT_H


